MAZE(1)

NAME
maze - an automated X11 demo repeatedly creating and solving a random maze

SYNTAX
maze [ -S ] [ -r ] [ -g geometry ] [ -d display ]

DESCRIPTION
The maze program creates a "random" maze and then solves it with graphical feedback.

Command Options

-S  Full screen window option...

-r  Reverse video option...

-g geometry
    Specifies the window geometry to be used...

-d display
    Specifies the display to be used...

The following lists the current functionality of various mouse button clicks;

LeftButton
    Clears the window and restarts maze...

MiddleButton
    Toggles the maze program, first click -> stop, second click -> continue...

RightButton
    Kills maze...

LIMITATIONS
No color support...
Expose events force a restart of maze...
Currently, mouse actions are based on "raw" values [ Button1, Button2 and Button3 ] from the ButtonPress event...
[ doesn't use pointer mapping ]

COPYRIGHT

Copyright 1988 by Sun Microsystems, Inc. Mountain View, CA.

All Rights Reserved

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the names of Sun or MIT not be used in advertising or publicity pertaining to distribution of the software without specific prior written permission. Sun and M.I.T. make no representations about the suitability of this software for any purpose. It is provided "as is" without any express or implied warranty.

SUN DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SUN BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

AUTHOR(s)
Richard Hess	[ X11 extensions ]  	{...}!uunet!cimshop!rhess
  Consilium, Mountain View, CA
Dave Lemke	[ X11 version ]		lemke@sun.COM
  Sun MicroSystems, Mountain View, CA
Martin Weiss	[ SunView version ]
  Sun MicroSystems, Mountain View, CA